This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 118854 - root cannot login via GDM login screen
root cannot login via GDM login screen
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
: Security
Depends On:
Blocks: FC2Blocker
  Show dependency treegraph
 
Reported: 2004-03-21 12:55 EST by G.Wolfe Woodbury
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-27 03:23:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2004-03-21 12:55:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
attempts to login via GDM with user root fail due to security
mis-configureation

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. install from development tree
2. perform firstboot
3. attempt to login as root
    

Actual Results:  multiple errors relating to security inability to
access/change various files

Expected Results:  normal login

Additional info:
Comment 1 G.Wolfe Woodbury 2004-03-27 03:23:48 EST
policy 1.9-15 seems to have fixed the problem.
Comment 2 Miloš Komarčević 2004-04-01 05:47:47 EST
I did not have this problem with a fresh test 2 install, but after
updating to kernel-2.6.4-1.300 and policy-1.9.1-4 and relabeling (does
one have to do this after upgrading the policy package?) I cannot
login as root via gdm any more: "/root" does not exist.
If I log in on a VC the default context is root:sysadm_r:sysadm_t, while
if I switch to permissive mode and log in through gdm and open a
terminal the context is root:staff_r:staff_t.

Note You need to log in before you can comment on or make changes to this bug.